#pragma once

#include <QtCore/QLibrary>
#include <QObject>
#include <QThread>
#include "Define.h"
class Publisher : public QObject{
    Q_OBJECT
public:
    Publisher(){}
    virtual ~Publisher(){}
    // virtual void shares(SharedData * share) = 0;
    virtual void Run(const ModuleInfo& mi) = 0;
    virtual void setLoader(QLibrary*) = 0;
signals:
    void pubData(const QString& ,const QString& ,const QVariant&);

};



